Bug 65055 - FILESAVE: Versioning – "Always save a version on closing" doesn’t work
Summary: FILESAVE: Versioning – "Always save a version on closing" doesn’t work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.2.0 target:4.1.0 target:4.0.5
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2013-05-27 21:50 UTC by manj_k
Modified: 2015-12-17 07:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (LibreOffice 3.6.6.2) "automatically-saved-version.png" (18.79 KB, image/png)
2013-05-27 21:53 UTC, manj_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description manj_k 2013-05-27 21:50:23 UTC
1) Create and save a test.odt (e.g.: dt → F3)
2) Menu File → Versions...
3) Enable: ☑ Always save a version on closing
4) Edit and close the file (don't save the changes *before* closing)
5) Reopen test.odt
6) Menu File → Versions...

Expected: 
The dialog "Versions of test" → Existing versions
shows
- Date and Time: ... 
- Saved by: ...
- Comment: Automatically saved version

Unexpected:
The dialogThe dialog "Versions of test" → Existing versions
is empty.

Tested with LibreOffice 4.0.3.3 release (on Win XP 32b).

That works fine with LibreOffice 3.6.6.2 release (keyword: regression)
(see the attached screenshot "automatically-saved-version.png").

[Maybe related to "Bug 58328 - FILESAVE: Creating a new document version no longer working".]
Comment 1 manj_k 2013-05-27 21:53:08 UTC
Created attachment 79872 [details]
Screenshot (LibreOffice 3.6.6.2) "automatically-saved-version.png"
Comment 2 ign_christian 2013-05-28 03:23:47 UTC
confirm reproducible on LO 4.0.3.3 (Win7 32 bit)

"Existing versions" panel only showing initial document, but changes can be seen by clicking 'Compare' on the right side of the panel. 

Don't know whether it's a regression or feature modification?
Comment 3 retired 2013-05-31 12:27:57 UTC
Setting to NEW as per Comment 2.
Comment 4 Terrence Enger 2013-06-15 18:49:46 UTC
On Linux, I see the bug with a few LibreOffice versions from 3.3.4 (as
delivered with ubuntu-natty (11.04)) to master pulled 2013-05-29.  In
each case, when the file was reopened, "Always save a version on
closing" was still checked but it had not caused a version to be
saved.

So, I am left wondering what the situation is:
(*) Does 3.3.6.2 release show the bug on Linux?
(*) Does 3.3.4 show the bug on Windows?

Within my memory, I have never seen the feature work on either
platform.  This calls the regression keyword into question.
Comment 5 manj_k 2013-06-15 20:16:05 UTC
(In reply to comment #4)

That works fine with 3.3.4 release (on WinXP).

Step 4) detailed:
- edit a saved text document (don't save it manually as final step)
- then click "Close document"
- then click "Save" in the shown dialog
  "The document 'xyz.odt' has been modified.
   Do you want to save your changes?"

(See also: 
https://help.libreoffice.org/Common/Versions#Always_save_version_when_closing)
Comment 6 Terrence Enger 2013-06-15 23:10:13 UTC
Thank you for the point to the Help.  That does change my expectation
of the program, in particular changing 3.6.4.3 to not-a-bug.

(The defined behaviour seems to gbe to be less than optimally useful;
better would be to auto-save a version if the document is different
from the last saved version.  But that is an argument for another
another forum.)


I have completed bibisect version 4.0.  Terminal output is

    $ git bisect good
    7507f036925b44e11c82e0ba06c7ff4b1e45b2a4 is the first bad commit
    commit 7507f036925b44e11c82e0ba06c7ff4b1e45b2a4
    Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    Date:   Sun Dec 9 22:53:32 2012 +0000

        source-hash-b7822657fa67e7265d07f5852057e975e9efae0d
    
        commit b7822657fa67e7265d07f5852057e975e9efae0d
        Author:     Cédric Bosdonnat <cedric.bosdonnat@free.fr>
        AuthorDate: Mon Jul 9 17:52:00 2012 +0200
        Commit:     Cédric Bosdonnat <cedric.bosdonnat@free.fr>
        CommitDate: Mon Jul 9 17:52:00 2012 +0200
    
            CMIS UCP: forgot to git add new files
    
            Change-Id: I15d99e532f55722e15ca732012eb4dbf5a2fce82

    :100644 100644 5af276938ba298fec7eaa06d3f236ad82b750ff0 2e11de60e03551ff9cb9202630fabddffd9b4d03 M	autogen.log
    :100644 100644 6661f695d92c988576c9d70fe300b0df76eb6ffa 4eee095d1e0f175fb4426a2093ec54268030bddf M	ccache.log
    :100644 100644 a6df55610d4b7784363613c35d2bc851614d5093 0ed6b56f74c341fad2653520a3d4a25255f22c00 M	commitmsg
    :100644 100644 1fa2b23580ada6041c5b76f89a49f71f1d376c76 5208dde41373cc278f39217b748d3d9370843e11 M	dev-install.log
    :100644 100644 ef6ab6944c4175a1274a64f34770331fd54e95f5 5389a75150d50da8e75e8f84aa70a6771711ff7a M	make.log
    :040000 040000 a2c07218979ed46d3cf8b53722a9716ce3e24c00 4f01231267b4af142a55b2fc61bf39fb6cefbbae M	opt

and `git bisect log` says

    # bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
    # good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
    git bisect start 'latest' 'oldest'
    # good: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
    git bisect good 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
    # bad: [f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a] source-hash-a581d31b227623e09d2970a91214fda398f98eda
    git bisect bad f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a
    # bad: [5bf3b624cdeb593e55402f44c730209f12813961] source-hash-4b4ca8030285bd66526ff5bb2b6ea5a75a6c6bc7
    git bisect bad 5bf3b624cdeb593e55402f44c730209f12813961
    # good: [fbd64ab02c3b611eb2161132a98d2a24ccf109ad] source-hash-77987eacff20dec40caf29aae61d262239d441e9
    git bisect good fbd64ab02c3b611eb2161132a98d2a24ccf109ad
    # good: [8cd885615da6665d4d4eef81c3c1868f9e435a99] source-hash-bed3049c4c04a202ff288189d225ca6e5941d69b
    git bisect good 8cd885615da6665d4d4eef81c3c1868f9e435a99
    # bad: [7507f036925b44e11c82e0ba06c7ff4b1e45b2a4] source-hash-b7822657fa67e7265d07f5852057e975e9efae0d
    git bisect bad 7507f036925b44e11c82e0ba06c7ff4b1e45b2a4
    # good: [44785eb0abe0ce5298c148165ab829eb4bf645f3] source-hash-5218c0d6a8171400bee0d972ff05757849df4d19
    git bisect good 44785eb0abe0ce5298c148165ab829eb4bf645f3
    # good: [c45962a44092eb77881dc3be4e93cd90481993f4] source-hash-786f730ea2608abaafdc656e2181d11e076b6648
    git bisect good c45962a44092eb77881dc3be4e93cd90481993f4
Comment 7 Michael Stahl (CIB) 2013-07-08 16:50:07 UTC
broken by CWS mba34issues01, which came in via AOO rebase.

fixed on master
Comment 8 Commit Notification 2013-07-08 16:53:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=969bc572441ef8fd43cd7d350a533ffd715b74d3

fdo#65055: sfx: fix automatic version on close



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-07-08 17:16:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6eb2fdb168c6e6da6c30b71eb80c759c553f1770&h=libreoffice-4-1

fdo#65055: sfx: fix automatic version on close


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-07-08 17:16:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=170edbcf85fd77ab9b3470bf7a727dadb377a416&h=libreoffice-4-0

fdo#65055: sfx: fix automatic version on close


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-07-09 09:25:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d34cb44ec61b9840415bb08c3bf38513409e254&h=libreoffice-4-1-0

fdo#65055: sfx: fix automatic version on close


It will be available already in LibreOffice 4.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 manj_k 2013-07-19 12:35:48 UTC
Thanks, that works fine now.

Verified (on WinXP 32b) with:

– LibreOfficeDev 4.2.0.0.alpha0+
Build ID: 2cce78137bbf9810421b9fdedd45127b019b1188
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-07-18_23:43:36

– LibreOffice 4.1.0.3
Build ID: 719826cd009b9a1fa43e253db0616288c682826
Comment 13 Robinson Tryon (qubit) 2015-12-17 07:15:00 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]